using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Singleton;

public class MainMenuController : Singleton<MainMenuController> {

    [SerializeField] private Animator buttonAnimator;

    public void Quit() {
        Application.Quit();
    }

    public void StartGame() {
        Curtains.Instance.Open();
        GameManager.Instance.StartGame();
        HideButtons();
    }

    public void HideButtons() {
        buttonAnimator.SetTrigger("Hide");
    }

    public void ShowButtons() {
        buttonAnimator.SetTrigger("Show");
    }
}
